import { prisma } from '@/lib/prisma';
import BeritaTable from '@/components/admin/berita-table';

export const dynamic = 'force-dynamic';
export const revalidate = 0;

export default async function AdminBeritaPage() {
    const berita = await prisma.beritaHMF.findMany({
        orderBy: { createdAt: 'desc' },
    });

    return (
        <div className="space-y-6">
            <BeritaTable initialData={berita || []} />
        </div>
    );
}
